Name:           sniffglue
Version:        0.16.0
Release:        1%{?dist}
Summary:        Secure multithreaded packet sniffer

License:        GPL-3.0-or-later
URL:            https://github.com/kpcyrd/sniffglue
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
%if 0%{?el8}
%else
BuildRequires:  rust >= 1.50
BuildRequires:  cargo >= 1.50
%endif
BuildRequires:  pkgconfig(libpcap)
BuildRequires:  pkgconfig(libseccomp)

%description
sniffglue is a network sniffer written in rust. Network packets are parsed
concurrently using a thread pool to utilize all cpu cores. Project goals are
that you can run sniffglue securely on untrusted networks and that it must not
crash when processing packets. The output should be as useful as possible by
default.


%prep
%autosetup -p1
%if 0%{?el8}
curl https://sh.rustup.rs -sSf | sh -s -- --profile minimal -y
%endif


%install
export CARGO_PROFILE_RELEASE_BUILD_OVERRIDE_OPT_LEVEL=3
# Set codegen-units to 1
echo -e '\n[profile.release]' >> Cargo.toml
echo 'codegen-units = 1' >> Cargo.toml

%if 0%{?el8}
source "$HOME/.cargo/env"
%endif
cargo install --root=%{buildroot}%{_prefix} --path=.
rm -f %{buildroot}%{_prefix}/.crates.toml \
    %{buildroot}%{_prefix}/.crates2.json
strip --strip-all %{buildroot}%{_bindir}/*

install -D -p -m 0644 %{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_sysconfdir}/%{name}.conf


%changelog
* Sun Jan 07 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 0.16.0-1
- chore: Update to latest release

* Sat Mar 05 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.15.0-1
- chore(update): 0.15.0

* Tue Feb 01 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.14.0-1
- Initial package
